Your Cart is currently empty!
Product update
Coupon
add
Coupon code invalid! Please re-enter!
AJAX loader
You are here: HomeForum
Welcome, Guest

Problem with a lot of warnings
(1 viewing) (1) Guest
  • Page:
  • 1

TOPIC: Problem with a lot of warnings

Problem with a lot of warnings 8 years, 4 months ago #17979

Hello guys,

Can you please tell me what i can do to resolve problem like this:

Warning: file_put_contents(/usr/share/nginx/html/loja/yt-assets/developing/plugins^system^ytshortcodes^assets^less^awesome^font-awesome.css): failed to open stream: Permission denied in /usr/share/nginx/html/loja/libraries/joomla/filesystem/file.php on line 426 Warning: file_put_contents(/usr/share/nginx/html/loja/yt-assets/developing/plugins^system^ytshortcodes^assets^less^shortcodes.css): failed to open stream: Permission denied in /usr/share/nginx/html/loja/libraries/joomla/filesystem/file.php on line 426 Strict Standards: Non-static method plgSystemYt::nameOfSJTemplate() should not be called statically, assuming $this from incompatible context in /usr/share/nginx/html/loja/plugins/system/ytshortcodes/ytshortcodes.php on line 93 Strict Standards: Only variables should be passed by reference in /usr/share/nginx/html/loja/plugins/system/yt/includes/libs/yt-minify.php on line 179 Warning: file_put_contents(/usr/share/nginx/html/loja/plugins/system/yt/includes/libs/minify/config.php): failed to open stream: Permission denied in /usr/share/nginx/html/loja/libraries/joomla/filesystem/file.php on line 426 Strict Standards: Non-static method JApplicationSite::getMenu() should not be called statically, assuming $this from incompatible context in /usr/share/nginx/html/loja/plugins/system/yt/includes/site/lib/yt_template.php on line 116 Strict Standards: Non-static method JApplicationCms::getMenu() should not be called statically, assuming $this from incompatible context in /usr/share/nginx/html/loja/libraries/cms/application/site.php on line 250 Strict Standards: Non-static method JApplicationSite::getMenu() should not be called statically, assuming $this from incompatible context in /usr/share/nginx/html/loja/plugins/system/yt/includes/site/lib/yt_template.php on line 116 Strict Standards: Non-static method JApplicationCms::getMenu() should not be called statically, assuming $this from incompatible context in /usr/share/nginx/html/loja/libraries/cms/application/site.php on line 250

in the template.
I know that we can HIDE this warnings but this isn't a solution.
I really need to understand why this happening and i need to know one way to resolve that.
I think that like me much more people have the same problem, but choose the fast and easy way.

What we can do to solve this?
Thanks for your help.

Re: Problem with a lot of warnings 8 years, 4 months ago #18034

  • usersmart1
  • OFFLINE
  • Moderator
  • Posts: 1365
  • Karma: 20
Dear Ricardo Fernandes,

About the strict standards, due to our template was developed long time ago, it is compatible with old version of PHP. But now it is new PHP version, so it have some warnings. So, you could hidden the warnings first, we will update the template as soon as possible, and announce for you.

And about the warning: Permission denied in /usr/share/nginx/html/loja/libraries/joomla/filesystem/file.php, this is due to its decentralization. You could fix by change file permission to 755.

Thanks & regards!
The following user(s) said Thank You: ricardo.fernandes, sesesese

Re: Problem with a lot of warnings 8 years, 4 months ago #18036

Thanks for your answer.

But you have some prevision about when you will solve this problem?

Re: Problem with a lot of warnings 6 years, 10 months ago #26275

Still not fixed :

[15-Oct-2015 21:29:42 UTC] PHP Strict Standards: Only variables should be assigned by reference in /home//public_html/portal/templates/sj_plus/menusys/ytmenu.php on line 205
[15-Oct-2015 21:29:42 UTC] PHP Deprecated: Non-static method plgSystemYt::nameOfSJTemplate() should not be called statically, assuming $this from incompatible context in /home//public_html/portal/plugins/system/ytshortcodes/ytshortcodes.php on line 98

Is this a problem with PHP 5.6 or also happens with PHP 5.5 and PHP 5.4 ?


Thanks,

Re: Problem with a lot of warnings 6 years, 8 months ago #26675

I have similar problems - when changing to a newer version of PHP. Currently I have a version of PHP 3.5.27 - when changing to a higher template inoperable. I wonder whether we will see repairs to the newer version.

Re: Problem with a lot of warnings 6 years, 8 months ago #26705

Dear tomassores and sesesese,

Please open PHP.ini file.

In this file search for the phrase “ error_reporting = E_ALL” ,[without inverted commas]

Here replace this with “error_reporting = E_ALL & ~E_NOTICE & ~E_WARNING “

(Show all errors, except for notices and coding standards warnings)
and comment all E_STRICT in PHP.ini file.

Thanks!
  • Page:
  • 1
Time to create page: 1.56 seconds

Notification

Please find your issue via Suggested Posts before submitting your question. We have solved the most of issues and maybe your issue was solved before.

Suggested Posts

(/)
Result not found!

Latest My Topics

No posts to display.

Love all our templates?

Join our membership clubs starting at $49 only for access to all of our templates

Join Now
Home Pricing
Your Cart is currently empty!
Product update
Coupon
add
Coupon code invalid! Please re-enter!
AJAX loader
SearchSupport
Magento Themes Magento Extensions Free Magento Extensions Prestashop Themes Prestashop Modules Magento 2 Themes